<app-toast [message]="toast.message"></app-toast>

<div class="card">
    <h4 class="card-header">แบบสอบสวนผู้ป่วยโรคติดเชื้อไวรัสโคโรนา 2019</h4>
    <div class="card-body">
        <form [formGroup]="registerForm" (ngSubmit)="registerInformation()">
            <div class="input-group">
                <div class="input-group-prepend">
                    <span class="input-group-text">
                        เลขบัตรประชาชน/passport
                    </span>
                </div>
                <input class="form-control" type="text" name="Idcard"
                    [ngClass]="{ 'is-invalid': submitted && f.Idcard.errors }" formControlName="Idcard"
                    placeholder="ระบุเลขบัตรประชาชน/passport" maxlength="13" >
                <div *ngIf="submitted && f.Idcard.errors" class="invalid-feedback">
                    <div *ngIf="f.Idcard.errors.required">กรุณาระบุเลขบัตรประชาชนหรือpassport</div>
                </div>

            </div>

            <div class="input-group">
                <div class="input-group-prepend">
                    <span class="input-group-text">
                        ชื่อ - นามสกุล
                    </span>
                </div>
                <input class="form-control" name="fullname" [ngClass]="{ 'is-invalid': submitted && f.fullname.errors }"
                    formControlName="fullname" placeholder="ระบุชื่อ - นามสกุล">
                <div *ngIf="submitted && f.fullname.errors" class="invalid-feedback">
                    <div *ngIf="f.fullname.errors.required">กรุณาระบุชื่อ - นามสกุล</div>
                </div>

            </div>

            <div class="row">
                <div class="col-lg-6 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            เพศ
                        </span>
                    </div>
                    <select class="custom-select" name="gender" formControlName="gender"
                        [ngClass]="{ 'is-invalid': submitted && f.gender.errors }" formControlName="gender"
                        placeholder="เพศ">
                        <option value="">กรุณาระบุเพศ</option>
                        <option value="ชาย">ชาย</option>
                        <option value="หญิง">หญิง</option>
                    </select>
                    <div *ngIf="submitted && f.gender.errors" class="invalid-feedback">
                        <div *ngIf="f.gender.errors.required">กรุณาระบุเพศ</div>
                    </div>

                </div>
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            อายุ

                        </span>
                    </div>
                    <input class="form-control" name="age" [ngClass]="{ 'is-invalid': submitted && f.age.errors }"
                        formControlName="age" placeholder="ระบุอายุ... ปี...เดือน">
                    <div *ngIf="submitted && f.age.errors" class="invalid-feedback">
                        <div *ngIf="f.age.errors.required">กรุณาระบุอายุ...ปี...เดือน</div>
                    </div>

                </div>
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            สัญชาติ

                        </span>
                    </div>
                    <input class="form-control" name="nationality"
                        [ngClass]="{ 'is-invalid': submitted && f.nationality.errors }" formControlName="nationality"
                        placeholder="ระบุสัญชาติ">
                    <div *ngIf="submitted && f.nationality.errors" class="invalid-feedback">
                        <div *ngIf="f.nationality.errors.required">กรุณาระบุสัญชาติ</div>
                    </div>

                </div>
            </div>

            <h5 style="padding-top: 10px;">กรณีเพศหญิง</h5>

            <div style="padding-top: 15px;" class="row">

                <div class="col-lg-6 input-group">


                    <label class="col-lg-6">
                        <input type="radio"  formControlName="pregnant"
                            [ngClass]="{ 'is-invalid': submitted && f.pregnant.errors }" value=1 >
                        ไม่ได้ตั้งครรภ์
                        <div *ngIf="submitted && f.pregnant.errors" class="invalid-feedback">
                            <div *ngIf="f.pregnant.errors.required">กรุณาระบุ</div>
                        </div>
    
                    </label>
                    <label>
                        <input type="radio" formControlName="pregnant"
                            [ngClass]="{ 'is-invalid': submitted && f.pregnant.errors }" value=2>
                        ตั้งครรภ์
                    </label>
                   
                </div>

                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            ครรภ์ที่

                        </span>
                    </div>
                    <input class="form-control" name="pregnant_No" type="number"
                      formControlName="pregnant_No"
                        placeholder="จำนวนครั้งที่ตั้งครรถ์">
                   

                </div>

                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            อายุครรภ์

                        </span>
                    </div>
                    <input class="form-control" name="pregnant_Week" type="number"
                       
                        formControlName="pregnant_Week" placeholder="สัปดาห์">
                   
                </div>


            </div>
            <div class="row">
                <div class="col-lg-6 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            ประเภท
                        </span>
                    </div>
                    <select (change)="otherType_of_Patient()" class="custom-select" name="type_of_patient"
                        formControlName="type_of_patient"
                        [ngClass]="{ 'is-invalid': submitted && f.type_of_patient.errors }"
                        formControlName="type_of_patient" placeholder="ประเภทการติดเชื้อ">
                        <option value="">กรุณาระบุประเภทการติดเชื้อ</option>
                        <option value="PUI">PUI</option>
                        <option value="ผู้สัมผัสใกล้ชิดผู้ติดเชื้อ">ผู้สัมผัสใกล้ชิดผู้ติดเชื้อ</option>
                        <option value="การค้นหา/สํารวจเชิงรุก">การค้นหา/สํารวจเชิงรุก</option>
                        <option value="Sentinel surveillance">Sentinel surveillance</option>
                        <option value="อื่นๆ">อื่นๆ</option>
                    </select>
                    <div *ngIf="submitted && f.type_of_patient.errors" class="invalid-feedback">
                        <div *ngIf="f.type_of_patient.errors.required">กรุณาระบุประเภทการติดเชื้อ</div>
                    </div>
                </div>
                <div *ngIf="othertext == true" class="input-group-prepend">
                    <label for="type_of_patient"></label>
                    <input type="text" formControlName="type_of_patient" class="form-control"
                        [ngClass]="{ 'is-invalid': submitted && f.type_of_patient.errors }" />
                    <!-- <div *ngIf="submitted && f.type_of_patient.errors" class="invalid-feedback">
                    <div *ngIf="f.type_of_patient.errors.required">กรุณาระบุประเภทการติดเชื้อ</div>
                </div> -->
                </div>
            </div>
            <div class="input-group">
                <div class="input-group-prepend">
                    <span class="input-group-text">
                        อาชีพ
                    </span>
                </div>
                <input class="form-control" name="occupation"
                    [ngClass]="{ 'is-invalid': submitted && f.occupation.errors }" formControlName="occupation"
                    placeholder="ระบุลักษณะงานที่ทําอย่างละเอียด เช่น บุคลากรทางการแพทย์ เจ้าหน้าที่ที่สัมผัสกับนักท่องเที่ยว">
                <div *ngIf="submitted && f.occupation.errors" class="invalid-feedback">
                    <div *ngIf="f.occupation.errors.required">กรุณาระบุอาชีพ</div>
                </div>

            </div>

            <div class="input-group">
                <div class="input-group-prepend">
                    <span class="input-group-text">
                        สถานท่ีทํางาน/สถานศึกษา
                    </span>
                </div>
                <input class="form-control" name="workplace"
                    [ngClass]="{ 'is-invalid': submitted && f.workplace.errors }" formControlName="workplace"
                    placeholder="ระบุสถานท่ีทํางาน/สถานศึกษา">
                <div *ngIf="submitted && f.workplace.errors" class="invalid-feedback">
                    <div *ngIf="f.workplace.errors.required">กรุณาระบุสถานท่ีทํางาน/สถานศึกษา</div>
                </div>

            </div>


            <div class="row">

                <div class="col-lg-6 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            เบอร์โทรศัพท์ติดต่อ
                        </span>
                    </div>
                    <input class="form-control" name="contact_No"
                        [ngClass]="{ 'is-invalid': submitted && f.contact_No.errors }" formControlName="contact_No"
                        placeholder="เบอร์โทรศัพท์ติดต่อได้">
                    <div *ngIf="submitted && f.contact_No.errors" class="invalid-feedback">
                        <div *ngIf="f.contact_No.errors.required">กรุณาระบุเบอร์โทรศัพท์ติดต่อ</div>
                    </div>

                </div>
                <div class="col-lg-6 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            เบอร์โทรศัพท์
                        </span>
                    </div>
                    <input class="form-control" name="contact_No"
                        [ngClass]="{ 'is-invalid': submitted && f.contact_No.errors }" formControlName="contact_No"
                        placeholder='เบอร์โทรศัพท์ที่ใช้ลงทะเบียนในแอปพลิเคชัน "หมอชนะ" '>
                    <div *ngIf="submitted && f.contact_No.errors" class="invalid-feedback">
                        <div *ngIf="f.contact_No.errors.required">กรุณาระบุเบอร์โทรศัพทท์ี่ตดิต่อได้</div>
                    </div>

                </div>
            </div>

            <div class="row">
                <div class="col-lg-6 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            ท่ีอยู่ขณะป่วยในประเทศไทย
                        </span>
                    </div>
                    <select (change)="otherAddress()" class="custom-select" name="address" formControlName="address"
                        [ngClass]="{ 'is-invalid': submitted && f.address.errors }" formControlName="address"
                        placeholder="ประเภทการติดเชื้อ">
                        <option value="">กรุณาระบุท่ีอยู่</option>
                        <option value="บ้าน">บ้าน</option>
                        <option value="อื่นๆ">อื่นๆ</option>
                    </select>
                    <div *ngIf="submitted && f.address.errors" class="invalid-feedback">
                        <div *ngIf="f.address.errors.required">กรุณาระบุท่ีอยู่ขณะป่วยในประเทศไทย</div>
                    </div>


                </div>
                <div *ngIf="otheraddress == true" class="input-group-prepend">
                    <label for="address"></label>
                    <input type="text" formControlName="address" class="form-control"
                        [ngClass]="{ 'is-invalid': submitted && f.address.errors }" />
                    <!-- <div *ngIf="submitted && f.type_of_patient.errors" class="invalid-feedback">
                        <div *ngIf="f.type_of_patient.errors.required">กรุณาระบุประเภทการติดเชื้อ</div>
                    </div> -->
                </div>
            </div>

            <div class="row">
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            เลขที่
                        </span>
                    </div>
                    <input class="form-control" name="houseNo"
                        [ngClass]="{ 'is-invalid': submitted && f.houseNo.errors }" formControlName="houseNo"
                        placeholder="ระบุบ้านเลขที่">
                    <div *ngIf="submitted && f.houseNo.errors" class="invalid-feedback">
                        <div *ngIf="f.houseNo.errors.required">กรุณาระบุบ้านเลขที่</div>
                    </div>

                </div>
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            หมู่ที่
                        </span>
                    </div>
                    <input class="form-control" name="villageNo"
                        [ngClass]="{ 'is-invalid': submitted && f.villageNo.errors }" formControlName="villageNo"
                        placeholder="ระบุหมู่ที่">
                    <div *ngIf="submitted && f.villageNo.errors" class="invalid-feedback">
                        <div *ngIf="f.villageNo.errors.required">กรุณาระบุหมู่ที่</div>
                    </div>
                </div>
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            หมู่บ้าน
                        </span>
                    </div>
                    <input class="form-control" name="village"
                        [ngClass]="{ 'is-invalid': submitted && f.village.errors }" formControlName="village"
                        placeholder="ระบุหมู่บ้าน">
                    <div *ngIf="submitted && f.village.errors" class="invalid-feedback">
                        <div *ngIf="f.village.errors.required">กรุณาระบุหมู่บ้าน</div>
                    </div>
                </div>
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                           ซอย
                        </span>
                    </div>
                    <input class="form-control" name="alley"
                        [ngClass]="{ 'is-invalid': submitted && f.alley.errors }" formControlName="alley"
                        placeholder="ระบุซอย/ตรอก">
                    <div *ngIf="submitted && f.alley.errors" class="invalid-feedback">
                        <div *ngIf="f.alley.errors.required">กรุณาระบุซอย</div>
                    </div>
                </div>

            </div>


            <div class="row">
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            ถนน
                        </span>
                    </div>
                    <input class="form-control" name="road"
                        [ngClass]="{ 'is-invalid': submitted && f.road.errors }" formControlName="road"
                        placeholder="ระบุถนน">
                    <div *ngIf="submitted && f.road.errors" class="invalid-feedback">
                        <div *ngIf="f.road.errors.required">กรุณาระบุถนน</div>
                    </div>

                </div>
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                           จังหวัด
                        </span>
                    </div>
                    <select   class="form-control" (change)="onChangProvice($event)"
                    [ngClass]="{ 'is-invalid': submitted && f.province.errors }">

                    <option hidden>เลือกจังหวัด</option>
                    <option *ngFor="let province of provinces" [value]="province.province_code">
                        {{province.province}}
                    </option>
                </select>
                    <!-- <input class="form-control" name="province"
                        [ngClass]="{ 'is-invalid': submitted && f.province.errors }" formControlName="province"
                        placeholder="ระบุจังหวัด"> -->
                    <div *ngIf="submitted && f.province.errors" class="invalid-feedback">
                        <div *ngIf="f.province.errors.required">กรุณาระบุจังหวัด</div>
                    </div>
                </div>
              
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            อำเภอ/เขต
                        </span>
                    </div>

                    <select class="form-control" #a (change)="onChangeDistrict(a.value)"
                    [ngClass]="{ 'is-invalid': submitted && f.district.errors }">
                    <option hidden>เลือกอำเภอ</option>
                    <option *ngFor="let district of districts"
                        [value]="[district.province_code , district.amphoe_code]">
                        {{district.amphoe}}</option>
                </select>
                    <!-- <input class="form-control" name="district"
                        [ngClass]="{ 'is-invalid': submitted && f.district.errors }" formControlName="district"
                        placeholder="ระบุหมู่อำเภอ/เขต"> -->
                    <div *ngIf="submitted && f.district.errors" class="invalid-feedback">
                        <div *ngIf="f.district.errors.required">กรุณาระบุอำเภอ/เขต</div>
                    </div>
                </div>
                <div class="col-lg-3 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            ตำบล/แขวง
                        </span>
                    </div>
                    <select class="form-control" #b (change)="onChangeSubDistrict(b.value)"
                    [ngClass]="{ 'is-invalid': submitted && f.sub_district.errors }">
                    <option hidden>เลือกตำบล</option>
                    <option *ngFor="let sub_district of sub_districts"
                        [value]="[sub_district.province_code , sub_district.amphoe_code , sub_district.district_code]">
                        {{sub_district.district}}</option>

                </select>
                    <!-- <input class="form-control" name="sub_district"
                        [ngClass]="{ 'is-invalid': submitted && f.sub_district.errors }" formControlName="sub_district"
                        placeholder="ระบุตำบล/แขวง"> -->
                    <div *ngIf="submitted && f.sub_district.errors" class="invalid-feedback">
                        <div *ngIf="f.sub_district.errors.required">กรุณาระบุตำบล/แขวง</div>
                    </div>
                </div>
           

            </div>


            <div style="padding-bottom: 30px;" class="row">
                <div class="col-lg-6 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            โรคประจำตัว

                        </span>
                    </div>
                    <input class="form-control" name="congenital_disease" [ngClass]="{ 'is-invalid': submitted && f.congenital_disease.errors }"
                        formControlName="congenital_disease" placeholder="ระบุโรคประจำตัว">
                    <div *ngIf="submitted && f.congenital_disease.errors" class="invalid-feedback">
                        <div *ngIf="f.congenital_disease.errors.required">กรุณาระบุโรคประจำตัว</div>
                    </div>

                </div>
                <div class="col-lg-6 input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            การสูบบุหรี่
                        </span>
                    </div>
                    <select class="custom-select" name="smoking" formControlName="smoking"
                        [ngClass]="{ 'is-invalid': submitted && f.smoking.errors }" formControlName="smoking"
                        placeholder="เพศ">
                        <option value="">กรุณาระบุการสูบบุหรี่</option>
                        <option value="ไม่เคยสูบ">ไม่เคยสูบ</option>
                        <option value="ยังคงสูบ">ยังคงสูบ</option>
                        <option value="เคยสูบแต่เลิกแล้ว">เคยสูบแต่เลิกแล้ว</option>
                    </select>
                    <div *ngIf="submitted && f.smoking.errors" class="invalid-feedback">
                        <div *ngIf="f.smoking.errors.required">กรุณาระบุเพศ</div>
                    </div>

                </div>
             
              
            </div>

            <button  class="btn btn-primary" type="submit">
                <i class="fa fa-paper-plane"></i> ส่งข้อมูล
            </button>
        </form>
    </div>
</div>